<?php
namespace plugins\surveys\models;

/**
 * Choice model class
 * @author Jérôme Brilland
 * @version 1.0
 * @copyright (c) 2022, Jérôme Brilland
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */
class Choice extends \ActiveRecord {
    
    protected function validate() {
        $i18n = \IoC::resolve( 'i18n' );
        $this->validateMaxLength( 'text', 255, $i18n->__( 'surveys.too_long_text', 255 ) );
        $this->validateNotEmpty( 'text', $i18n->__( 'surveys.text_cannot_be_empty' ) );
    }
    
    protected function beforeInsert() {
        unset( $this->choice_id );
    }
    
    protected function beforeSave() {
        $this->text = trim( $this->text );
        unset( $this->_delete );
    }
}
