<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

use models\Template;
use models\Permission;

$schema = \IoC::resolve( 'sqlschema' );

$schema->dropTableIfexists( 'answer' );
$schema->dropTableIfexists( 'responder' );
$schema->dropTableIfexists( 'choice' );
$schema->dropTableIfexists( 'question' );
$schema->dropTableIfexists( 'survey' );

$permission = Permission::findOne( ['name' => 'surveys.manage_surveys'] );
if ( isset( $permission ) ) {
    $permission->delete();
}

$configurationHandler = \IoC::resolve( 'databaseConfigurationHandler' );
$settings = new \Configuration( $configurationHandler );

$template = Template::findOne( $settings['surveys.survey_template'] );
if ( isset( $template ) ) {
    $template->delete();
}

unset( $settings['surveys.survey_template'] );

$configurationHandler->save();

$logger = \IoC::resolve( 'logger' );
$logger->info( 'Plugin surveys successfully uninstalled.' );

return true;
